Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Signature.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: libkrb5-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Authen-Krb5-Admin
Version:        0.17
Release:        alt14_36
Summary:        Perl extension for MIT Kerberos 5 admin interface
# admin.h - MIT
# ppport.h - GPL+ or Artisic (same as any version of Perl)
# everything else: BSD (two clause)
License:        MIT and BSD and (GPL+ or Artistic)
URL:            https://metacpan.org/release/Authen-Krb5-Admin
Source0:        https://cpan.metacpan.org/authors/id/S/SJ/SJQUINNEY/Authen-Krb5-Admin-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  libkrb5-devel
BuildRequires:  libssl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Authen/Krb5.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  sed
# Run-time - not used during build
#BuildRequires:  perl(AutoLoader)
#BuildRequires:  perl(Carp)
#BuildRequires:  perl(DynaLoader)
#BuildRequires:  perl(Exporter)
#BuildRequires:  perl(vars)
# Tests - tests are not executed
#BuildRequires:  perl(Socket)
#BuildRequires:  perl(Test)


Source44: import.info

%description
Authen::Krb5::Admin is an object-oriented interface to the Kerberos 5 admin
server. Currently only MIT KDCs are supported, but the author envisions
seamless integration with other KDCs.

%prep
%setup -q -n Authen-Krb5-Admin-%{version}

sed -i -e 's!$PREFIX/lib!$PREFIX/%{_lib}!' Makefile.PL
# alt krb5
if [ ! -e /usr/include/krb5.h ]; then
	sed -i -e 's,krb5\.h,krb5/krb5.h,' Makefile.PL Admin.xs
fi

%build
# set some dummy values for the test to stop Makefile.PL from asking
# note: the values are never used
export PERL_KADM5_PRINCIPAL=dummy
export PERL_KADM5_TEST_NAME=dummy
export PERL_KADM5_TEST_NAME_2=dummy
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
# %{_fixperms} $RPM_BUILD_ROOT/*


%files
%doc README COPYING ChangeLog
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Authen


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt14_36
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_36
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_34
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_33
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_32
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_31
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_30
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 0.17-alt13_29
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt13_28
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.17-alt12_28
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.17-alt12_27
- update to new release by fcimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt11_27
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt10_27
- rebuild with perl 5.30

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_27
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_26
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_25
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_24
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_23
- update to new release by fcimport

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_22
- update to new release by fcimport

* Fri Feb 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_21
- rebuild with new perl

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_20
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_19
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_18
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.17-alt9_17
- rebuild with perl 5.26

* Sat Nov 18 2017 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt8_17
- rebuild to get rid of unmets

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.17-alt7_17
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.17-alt7_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.17-alt7_14
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt7_13
- rebuild to get rid of unmets

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 0.17-alt6_13
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.17-alt6_12
- update to new release by fcimport

* Sat Apr 30 2016 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt6_11
- rebuild to get rid of unmets

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.17-alt5_11
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt5_10
- rebuild to get rid of unmets

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 0.17-alt4_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.17-alt4_9
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt4_7
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.17-alt3_7
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.17-alt3_6
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.17-alt3_5
- update to new release by fcimport

* Tue Jun 24 2014 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt3_4
- rebuild to get rid of unmets

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt2_4
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.17-alt2_3
- rebuild to get rid of unmets

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_3
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_2
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.11-alt2_14
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_14
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_12
- fc import

